<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-键盘事件</title>
	<style type="text/css">
		#div1{
			position: absolute;
			width:200px;
			height:200px;
			border:1px solid #000;
			margin-top:10px;
		}
	</style>
	<script type="text/javascript">		
		window.onload=function(ev){
			var text2=document.getElementById('text2');
			var btn=document.getElementById('btn');
			var text1=document.getElementById('text1');
			btn.onclick=function(){
				text2.value+=text1.value+'\n';
				text1.value='';
			};
			text1.onkeydown=function(ev){
				var oEvent=ev||event;
				 if(oEvent.keyCode==13 && oEvent.ctrlKey){
				 	text2.value+=text1.value+'\n';
					text1.value='';
				 }
			};

		};	
	</script>
</head>
<body>
	<div id="box">
		<input type="text" name="" value="" id="text1"/>
		<input type="button" name="" value="提交" id="btn"/></br>
		<textarea name="" rows="10" cols="10" id="text2"></textarea>
	</div>
</body>
</html